### Method

# AppStreamCompose Result fetch_components

#### Declaration [src]

    GPtrArray*
    asc_result_fetch_components (
      AscResult* result
    )

#### Description [src]

Gets all components this `AsResult` instance contains.

#### Return value

Type: An array of `AsComponent*`

An array of `AsComponent`.

The caller of the method takes ownership of the returned data container, but not the data inside it.